gi-gdkx11-3.0.16: GdkX11 bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GdkX11.Objects.X11DragContext

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype X11DragContext = X11DragContext (ManagedPtr X11DragContext)
- class (GObject o, IsDescendantOf X11DragContext o) => IsX11DragContext o
- toX11DragContext :: (MonadIO m, IsX11DragContext o) => o -> m X11DragContext

# Exported types

newtype X11DragContext Source #

Memory-managed wrapper type.

Constructors

X11DragContext (ManagedPtr X11DragContext) |

#### Instances

Instances details

Eq X11DragContext Source # |
Instance details Defined in GI.GdkX11.Objects.X11DragContext Methods (==) :: X11DragContext -> X11DragContext -> Bool Source # (/=) :: X11DragContext -> X11DragContext -> Bool Source #
GObject X11DragContext Source # |
Instance details Defined in GI.GdkX11.Objects.X11DragContext
ManagedPtrNewtype X11DragContext Source # |
Instance details Defined in GI.GdkX11.Objects.X11DragContext Methods toManagedPtr :: X11DragContext -> ManagedPtr X11DragContext Source #
TypedObject X11DragContext Source # |
Instance details Defined in GI.GdkX11.Objects.X11DragContext Methods glibType :: IO GType Source #
HasParentTypes X11DragContext Source # |
Instance details Defined in GI.GdkX11.Objects.X11DragContext
IsGValue (Maybe X11DragContext) Source # | Convert `X11DragContext` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.GdkX11.Objects.X11DragContext Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe X11DragContext -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe X11DragContext) Source #
type ParentTypes X11DragContext Source # |
Instance details Defined in GI.GdkX11.Objects.X11DragContext type ParentTypes X11DragContext = '[DragContext, Object]

class (GObject o, IsDescendantOf X11DragContext o) => IsX11DragContext o Source #

Type class for types which can be safely cast to `X11DragContext`, for instance with `toX11DragContext`.

#### Instances

Instances details

(GObject o, IsDescendantOf X11DragContext o) => IsX11DragContext o Source # |
Instance details Defined in GI.GdkX11.Objects.X11DragContext

toX11DragContext :: (MonadIO m, IsX11DragContext o) => o -> m X11DragContext Source #

Cast to `X11DragContext`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, listTargets, manageDnd, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getActions, getData, getDestWindow, getDevice, getDragWindow, getProperty, getProtocol, getQdata, getSelectedAction, getSourceWindow, getSuggestedAction.

#### Setters

setData, setDataFull, setDevice, setHotspot, setProperty.